Function
forwardAlgorithm
Implements the forward algorithm.
Given a Hidden Markov Model hmm, the forward algorithm computes the probability of the sequence seq.
TProbability forwardAlgorithm(hmm, seq);
Include Headers
seqan/graph_algorithms.h
Parameters

hmm | In-parameter:Input HMM. Types: Hmm
seq | In-parameter:Input sequence.

Remarks
See the Wikipedia article on the Foward algorithm for an introduction to the algorithm itself.
Return Values
Probability of the sequence seq, TProbability is the type parameter TCargo of the type of hmm.
See Also
viterbiAlgorithm, backwardAlgorithm
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58